[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.TrailingLineBreak

Add a linebreak to the last item

## Declaration

Source position: classesh.inc line 783

`public property TStrings.TrailingLineBreak : Boolean read GetTrailingLineBreak write SetTrailingLineBreak;`

## Description

TrailingLineBreak can be set to False to omit a linebreak character after the last string in the TStrings.Text. This also means when writing to file, that the file will not have a terminating linebreak character.

Note that TrailingLineBreak has the opposite meaning to TStrings.SkipLastLineBreak.

## See also

TStrings.SkipLastLineBreak |  | Do not add a linebreak to the last item
TStrings.LineBreak |  | LineBreak character to use
TStrings.Text |  | Contents of the list as one big string.
TStrings.Options |  | A set of TStringsOption - various boolean properties.